package com.ruoyi.bar.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 微信用户对象 wy_wechat_user
 * 
 * @author kxl
 * @date 2024-12-16
 */
public class WyWechatUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 微信openid */
    private String openId;

    /** 小程序appid */
    @Excel(name = "小程序appid")
    private String appId;

    /** 用户昵称 */
    @Excel(name = "用户昵称")
    private String nickname;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    public void setOpenId(String openId) 
    {
        this.openId = openId;
    }

    public String getOpenId() 
    {
        return openId;
    }
    public void setAppId(String appId) 
    {
        this.appId = appId;
    }

    public String getAppId() 
    {
        return appId;
    }
    public void setNickname(String nickname) 
    {
        this.nickname = nickname;
    }

    public String getNickname() 
    {
        return nickname;
    }
    public void setAvatar(String avatar) 
    {
        this.avatar = avatar;
    }

    public String getAvatar() 
    {
        return avatar;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("openId", getOpenId())
            .append("appId", getAppId())
            .append("nickname", getNickname())
            .append("avatar", getAvatar())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
